Page MenuHomePhabricator

VisualEditor: Floated templates rendering oddly and overlapping text
Closed, ResolvedPublic

Description

See screenshot, which is of https://en.wikipedia.org/wiki/Craig_Short - Firefox 21.0, Windows 7.


Version: unspecified
Severity: normal

Details

Reference
bz49925

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:45 AM
bzimport set Reference to bz49925.

Created attachment 12608
not displaying properly

attachment overlapping recycle bin.jpg ignored as obsolete

Created attachment 12609
not displaying properly

attachment link icon not square.jpg ignored as obsolete

I don't think I can see your attachment, Oliver, but I think the bug may have to do with to these sshots, which both refer to adding a link: in the first one, the recycle bin can barely be seen as it gets hidden, the second one shows the link icon not being displayed as a square. Looks like this can happen both with Chrome and Firefox.

I thinks it depends on the skin: Monobook might be causing this.

Created attachment 12612
what the template should look like (read mode)

Attached:

Created attachment 12613
what the template does look like (once in VE)

Attached:

Created attachment 12614
what the template does look like when selected

Attached:

(In reply to comment #4)

I thinks it depends on the skin: Monobook might be causing this.

That's a different bug - created bug 50057.

This is about CE's rendering of floated templates - I've attached some example screenshots to demonstrate.

Screenshot

This is likely a blocker for any beta rollout on Monday. I've attached a screenshot to show how bad it can get, and why :/.

Attached:

Inez added a comment.Jun 28 2013, 2:08 PM

For some reason wrapper in which we put transclusions/templates gets HTML attributes of the transclusion/template carried over - including CSS classes - that should not happen, and wasn't happening in the past.

I will investigate it, however adding Roan to this ticket, it seems like it is his area.

  • Bug 50381 has been marked as a duplicate of this bug. ***

Change 71109 had a related patch set uploaded by Jforrester:
Set renderHtmlAttributes to false, for both block and inline transclusions

https://gerrit.wikimedia.org/r/71109

Change 71109 merged by jenkins-bot:
Stop floated transclusions floating out of themselves

https://gerrit.wikimedia.org/r/71109

The above patch fixes this bug, we believe. Marking as such.

TTO added a comment.Jun 29 2013, 10:13 AM
  • Bug 50416 has been marked as a duplicate of this bug. ***

Crud

It doesn't :(. See new screenshot.

Attached:

Unless the patch hasn't been deployed yet, I guess.

(In reply to comment #18)

Unless the patch hasn't been deployed yet, I guess.

It hasn't. Deployed on Monday alongside the config change. Not sure if the example in comment 17 will be entirely fixed by it though - please check after release?